package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.po.app.AppBaseUser;
import org.wcs.model.po.app.JoinUserInfoWithGroupInfo;

import java.util.List;

public interface AppBaseUserService extends IService<AppBaseUser> {

    List<AppBaseUser> query(AppBaseUser appBaseUser); // 条件查询
    List<AppBaseUser> queryByUserId(String userId); // 查询一个用户
    List<JoinUserInfoWithGroupInfo> query(String userId); // 查询这个用户的包含用户组的信息
    List<AppBaseUser> query(AppBaseUser user, Integer maxUserLevel); // 条件查询不超过某一级别的用户
    int update(AppBaseUser appBaseUser); // 条件更新用户信息
    int deleteWithUserId(String userId); // 根据用户ID删除用户
    int insert(AppBaseUser appBaseUser); // 插入一个用户

}
